WS_waitscreen = true;
curInf = '';
feesInf = '';
var details = ''

window.onload = function(){
    
    // Go back
    document.getElementById('previous-button').addEventListener("click", function(){
        gotoPage('step','withdrawFunds',{ 'sessionid' : getParameterByName('sessionid') })
    });
    
    // Go step 4
    document.getElementById('next-button').addEventListener("click", function(){
        verifyNextButton()
    });
    
    // Go back R
    document.getElementById('previous-buttonR').addEventListener("click", function(){
        gotoPage('step','withdrawFunds',{ 'sessionid' : getParameterByName('sessionid') })
    });
    
    // Go step 4 R
    document.getElementById('next-buttonR').addEventListener("click", function(){
        verifyNextButton()
    });
    
    // Session Update
    document.getElementById('expSessionButton').addEventListener("click",function(){
        var req = {
            'sessionid': getParameterByName('sessionid')
        }
        sessionUpdate(req)
    })
    
    // Step
    document.getElementById('floatButton').addEventListener("click",function(){
        var popup = document.getElementById("floatButton").children[0].children[0];
        if(popup.classList.contains('show')){
            gotoPage('dashboard','home',{ 'sessionid' : getParameterByName('sessionid') })
        }else{
            popup.classList.toggle("show");
        }
    })

    document.getElementById('floatClose').addEventListener("click",function(event){
        var popup = document.getElementById("floatButton").children[0].children[0];
        popup.classList.remove("show")
        event.stopPropagation()
    })
    
    // withdraw
    document.getElementById('withdrawAmount').addEventListener("keyup",function(e){
        decimCoin = this.getAttribute("icDecim");
        var noVal = formatCurrency(decimCoin,this.value);
        if(noVal!=="")this.value = noVal;
        document.getElementById('withdrawAmount').setAttribute("dataNumber",parseFloat(document.getElementById('withdrawAmount').value).noExponents());
        document.getElementById('error').style.display = 'none'
    })
    
    
    document.getElementById('all').addEventListener("click",function(){
        if(document.getElementById('next-button').getAttribute('interface') == 4 || document.getElementById('next-button').getAttribute('interface') == 5){
            document.getElementById('withdrawAmount').setAttribute('dataNumber',document.getElementById('avail').getAttribute('number'))
            document.getElementById('withdrawAmount').value = number_format((document.getElementById('avail').getAttribute('number')),decimCoin);
            if(feesInf.entry.withdrawals.nmalfee){
                document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + (feesInf.entry.withdrawals.nmalfee.number).toFixed(decimCoin).replace('.', ',');
                document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + ((feesInf.entry.withdrawals.nmalfee.number).toFixed(decimCoin).replace('.', ','));
                var noVal = formatCurrency(decimCoin,this.value);
                if(noVal!=="")this.value = noVal;
                if(document.getElementById('withdrawAmount').value == ""){
                    document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                    document.getElementById('withdrawTotalFinal').style.color="#262624"
                }else{
                    console.log('Entro en el else')
                    document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('avail').getAttribute('number')),decimCoin)
                    document.getElementById('withdrawTotalFinal').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number')))
                    document.getElementById('withdrawAmount').value = number_format(parseFloat(document.getElementById('avail').getAttribute('number')),decimCoin);
                    document.getElementById('withdrawAmount').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number')))
                     
                    if(((((parseFloat((document.getElementById('withdrawAmount').value).replace(',','.')) - feesInf.entry.withdrawals.nmalfee.number).toFixed(decimCoin)).replace('.', ','))).startsWith('-')){
                        document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                        document.getElementById('withdrawTotalFinal').style.color="#D0021B"
                    }else{
                        document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('avail').getAttribute('number'))-parseFloat(feesInf.entry.withdrawals.nmalfee.number),decimCoin)
                        document.getElementById('withdrawTotalFinal').style.color="#262624"
                    }
                    
                }
            }else if(feesInf.entry.withdrawals.pctfee){
                document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                var noVal = formatCurrency(decimCoin,this.value);
                if(noVal!=="")this.value = noVal;
                document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber')) *feesInf.entry.withdrawals.pctfee.number / 100 ,decimCoin)
                document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('avail').getAttribute('number')),decimCoin)
                document.getElementById('withdrawTotalFinal').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number')))
                document.getElementById('withdrawAmount').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number'))*100 / (parseFloat(feesInf.entry.withdrawals.pctfee.number) + 100) )
                document.getElementById('withdrawAmount').value = number_format(parseFloat(document.getElementById('avail').getAttribute('number'))*100 / (parseFloat(feesInf.entry.withdrawals.pctfee.number) + 100),decimCoin);
                //document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(document.getElementById('withdrawTotalFinal').getAttribute('dataNumber') - document.getElementById('withdrawAmount').getAttribute('dataNumber'),decimCoin)
            }else{
                console.log('N/A')
            }   
        }else{
            //document.getElementById('withdrawAmount').setAttribute('dataNumber',document.getElementById('avail').getAttribute('number'))
            //document.getElementById('withdrawAmount').value = number_format((document.getElementById('avail').getAttribute('number')),decimCoin);
            if(feesInf.entry.withdrawals.nmalfee){
                document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + (feesInf.entry.withdrawals.nmalfee.number).toFixed(decimCoin).replace('.', ',');
                document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + ((feesInf.entry.withdrawals.nmalfee.number).toFixed(decimCoin).replace('.', ','));
                var noVal = formatCurrency(decimCoin,this.value);
                if(noVal!=="")this.value = noVal;
                if(document.getElementById('withdrawAmount').value == ""){
                    document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                    document.getElementById('withdrawTotalFinal').setAttribute('dataNumber',0);
                    document.getElementById('withdrawTotalFinal').style.color="#262624"
                }else{
                    console.log('Entro en el else')
                    document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('avail').getAttribute('number')),decimCoin)
                    document.getElementById('withdrawTotalFinal').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number')))
                    document.getElementById('withdrawAmount').value = number_format(parseFloat(document.getElementById('avail').getAttribute('number'))-parseFloat(feesInf.entry.withdrawals.nmalfee.number),decimCoin);
                    document.getElementById('withdrawAmount').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number'))-parseFloat(feesInf.entry.withdrawals.nmalfee.number))
                     
                    if(((((parseFloat((document.getElementById('withdrawAmount').value).replace(',','.')) - feesInf.entry.withdrawals.nmalfee.number).toFixed(decimCoin)).replace('.', ','))).startsWith('-')){
                        document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                        document.getElementById('withdrawTotalFinal').style.color="#D0021B"
                    }else{
                        //document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('avail').getAttribute('number')),decimCoin)
                        document.getElementById('withdrawTotalFinal').style.color="#262624"
                    }
                    
                }
            }else if(feesInf.entry.withdrawals.pctfee){
                document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                var noVal = formatCurrency(decimCoin,this.value);
                if(noVal!=="")this.value = noVal;
                //document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber')) *feesInf.entry.withdrawals.pctfee.number / 100 ,decimCoin)
                document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('avail').getAttribute('number')),decimCoin)
                document.getElementById('withdrawTotalFinal').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number')))
                document.getElementById('withdrawAmount').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number'))*100 / (parseFloat(feesInf.entry.withdrawals.pctfee.number) + 100) )
                document.getElementById('withdrawAmount').value = number_format(parseFloat(document.getElementById('avail').getAttribute('number'))*100 / (parseFloat(feesInf.entry.withdrawals.pctfee.number) + 100),decimCoin);
                document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(document.getElementById('withdrawTotalFinal').getAttribute('dataNumber') - document.getElementById('withdrawAmount').getAttribute('dataNumber'),decimCoin)
            }else{
                console.log('N/A')
            }   
        }
        document.getElementById('withdrawAmount').disabled = true
        
        
    })
    document.getElementById('notAll').addEventListener("click",function(){
        document.getElementById('withdrawAmount').disabled = false
    })
    
    // Go to preferences
    document.getElementById('preferences').addEventListener("click", function(){
        gotoPage('preferences','main',{ 'sessionid' : getParameterByName('sessionid') })
    });
    
    // Go to preferences
    document.getElementById('preferencesR').addEventListener("click", function(){
        gotoPage('preferences','main',{ 'sessionid' : getParameterByName('sessionid') })
    });
    
    // Go to balance
    document.getElementById('balance').addEventListener("click", function(){
        gotoPage('balance','balance',{ 'sessionid' : getParameterByName('sessionid') })
    });
    
    // Go to balance
    document.getElementById('balanceR').addEventListener("click", function(){
        gotoPage('balance','balance',{ 'sessionid' : getParameterByName('sessionid') })
    });
    
    document.getElementById('example-element-toggle2').checked = false;
    
    // Bar
    document.getElementById('togglebar').addEventListener("click", function(){
        var el = document.getElementById('addView2')
        document.getElementById('addView2').style.display = 'block'
        setTimeout(function(){ 
            document.getElementById('example-element-toggle2').checked = !document.getElementById('example-element-toggle2').checked;
        }, 15);   
        
    });
    
    // Logout
    document.getElementById('logouticon').addEventListener("click", function(){
        logout();
    });
    
    // Logout
    document.getElementById('logouticon2').addEventListener("click", function(){
        logout();
    });
    
    var fieldAmo = ["withdrawAmount"];
    formatAmount(fieldAmo);
    
    init()
    
    //Mostrar HTML cargado
    esconderHTML(false);
    
    var waitScreen = document.getElementById("waitScreen");
    document.body.removeChild(waitScreen);
    WS_waitscreen = false;
    document.getElementsByClassName('pageCnt')[0].style.visibility="visible"

    
}

function verifyNextButton(){
    if(parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber'))){
        if(parseFloat(document.getElementById('withdrawTotalFinal').getAttribute('datanumber'))>parseFloat(document.getElementById('avail').getAttribute('number'))){
            document.getElementById('error').innerHTML = 'Saldo insuficiente.'
            document.getElementById('error').style.display = 'block'
        }
        else if((document.getElementById('withdrawAmount').value == number_format(0,document.getElementById('withdrawAmount').getAttribute("icDecim")).replace(".",",")) || document.getElementById('withdrawAmount').value == ""){
            document.getElementById('error').innerHTML = 'Cantidad inválida.'
            document.getElementById('error').style.display = 'block'
        }
        else if(document.getElementById('withdrawTotalFinal').style.color == '#D0021B' || document.getElementById('withdrawTotalFinal').style.color == 'rgb(208, 2, 27)'){
            document.getElementById('error').innerHTML = 'Cantidad inválida.'
            document.getElementById('error').style.display = 'block'
        }
        else if(document.getElementById('withdrawAmount').getAttribute('datanumber') > feesInf.entry.withdrawals.max.number){
            document.getElementById('error').innerHTML = 'Monto máximo mensual autorizado '+  feesInf.entry.withdrawals.min.formatted + ' ' + curInf.currency.symbol
            document.getElementById('error').style.display = 'block'
        }
        else if(document.getElementById('withdrawAmount').getAttribute('datanumber') < feesInf.entry.withdrawals.min.number){
            document.getElementById('error').innerHTML = 'Monto mínimo autorizado '+  feesInf.entry.withdrawals.min.formatted + ' ' + curInf.currency.symbol
            document.getElementById('error').style.display = 'block'
        }
        else{
            document.getElementById('error').style.display = 'none';
            if(document.getElementById('next-button').getAttribute('interface') == 4 || document.getElementById('next-button').getAttribute('interface') == 5){
                gotoPage('step','withdrawFundsAcC',{ 'sessionid' : getParameterByName('sessionid'), 'cid' : getParameterByName('cid'),
                    'q': number_format(parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber')).noExponents(), document.getElementById('withdrawAmount').getAttribute('icdecim')).replaceAll(".","").replaceAll(",",".")})                
            }else{
                gotoPage('step','withdrawFundsAc',{ 'sessionid' : getParameterByName('sessionid'), 'cid' : getParameterByName('cid'),
                    'q': number_format(parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber')).noExponents(), document.getElementById('withdrawAmount').getAttribute('icdecim')).replaceAll(".","").replaceAll(",",".")})
            }

        }
    }else{
        document.getElementById('error').innerHTML = 'Cantidad inválida.'
        document.getElementById('error').style.display = 'block'   
    }
}

function expiredSession(){
    document.getElementsByClassName('expired')[0].style.display = "table"
    WS_waitscreen = false;
    var seconds = 30;
    var countdown = setInterval(countDown, 1000);
    
    function countDown(){
        seconds--;
        if(seconds == 0){
            if(document.getElementsByClassName('expired')[0].style.display == "table"){
                gotoPage('login','main','');
                clearInterval(countdown);
            }
        }
        if(document.getElementsByClassName('expired')[0].style.display == "none"){
            clearInterval(countdown)
        }
    }
}

function sessionUpdate(req){
    callWS('GET', 'session/update', req, response);
    function response(status, rsp){
        console.log('session/update')
        console.log(JSON.parse(rsp));
        console.log(status) 
        switch(status){
            case 200:
                document.getElementsByClassName('expired')[0].style.display = "none";
                init()
                break;
            case 400:
                break;
            case 401:
                expiredSession();
                break;
            case 402:
                break;
            case 403:
                break;
            case 500:
                break;
            default:
                break;
        }
    }   
}

function init(){
    setLang()
}

function getEntry(sessionid){
    callWS("GET", "users/entry", { 'sessionid' : sessionid}, response);
        
    function response(status, rsp){
        switch(status){
            case 200:
                entrydata = (JSON.parse(rsp).entry)
                putName(entrydata);
                var req = {
                    'sessionid': getParameterByName('sessionid'),
                    'action': 3, /*1 INtercambio, 2 Deposito, 3 Retiro, 4 Transferencia
                    'currencyid': getParameterByName('cid)*/
                }
                accountsPortfolio(req)
                break;
            case 204:
                break;
            case 400:
                break;
            case 401:
                expiredSession();
                break;
            case 500:
                break;
            default:
                break;
        }
    }    
}

function putName(entrydata){
    var name;
    if(entrydata.company){
        if(entrydata.company.name.value=="" || entrydata.company.name.value== null){
            name = entrydata.usr
        }else{
            name = entrydata.company.name.value
        }
    }
    else if(entrydata.person){
        if(entrydata.person.firstname.value=="" || entrydata.person.firstname.value==null){
            name = entrydata.usr
        }else{
            name = entrydata.person.firstname.value + ' '+ entrydata.person.firstlastname.value
        }
    }
    document.getElementById('name').innerHTML = name
    document.getElementById('name2').innerHTML = name
}

function logout(){
    var sessionid = getParameterByName('sessionid')
    var req ={
        'sessionid': sessionid,
    }
    callWS('GET', 'login/logout', req, response);

    function response(status, rsp){
        console.log(JSON.parse(rsp));
        console.log(status)
        switch(status){
            case 200:
                gotoPage('login','main','')
                break;
            case 400:
                break;
            case 401:
                expiredSession();
                break;
            case 500:
                break;
            default:
                break;
        }
    }   
}


function accountsPortfolio(req){
    callWS('GET', 'accounts/portfolio', req, response);
    function response(status, rsp){
        console.log('accounts/portfolio')
        console.log(JSON.parse(rsp));
        console.log(status) 
        switch(status){
            case 200:
                curInf = null;
                JSON.parse(rsp).records.forEach(currency => {
                    if(currency.currency.id == getParameterByName('cid')){
                        curInf = currency;
                    }   
                });
                req = {
                    'sessionid': getParameterByName('sessionid'),
                    'currencyid': getParameterByName('cid')
                }
                feesEntry(req,curInf)
                break;
            case 400:
                break;
            case 401:
                expiredSession();
                break;
            case 402:
                break;
            case 403:
                break;
            case 500:
                break;
            default:
                break;
        }
    }   
}

// fees/entry
function feesEntry(req,accPor){
    callWS('GET', 'fees/entry', req, response);
    function response(status, rsp){
        console.log('fees/entry')
        console.log(JSON.parse(rsp));
        console.log(status) 
        switch(status){
            case 200:
                loadData(accPor,JSON.parse(rsp))
                break;
            case 400:
                break;
            case 401:
                expiredSession();
                break;
            case 402:
                break;
            case 403:
                break;
            case 500:
                break;
            default:
                break;
        }
    }   
}

function loadData(currency,fees){
    console.log(currency)
    console.log(fees)
    feesInf = fees
    currency = currency
    document.getElementById('withdrawAmount').setAttribute("icDecim",currency.currency.decimals);
    document.getElementById('avail').innerHTML = currency.currency.symbol + ' ' + currency.avaliable.formatted
    document.getElementById('avail').setAttribute("number",parseFloat(currency.avaliable.number));
    document.getElementById('titleTextP').children[0].innerHTML = currency.currency.dsc
    decimCoin = document.getElementById('withdrawAmount').getAttribute("icDecim")
    document.getElementById('next-button').setAttribute('interface',currency.currency.interface)
    if(currency.currency.interface == 4 || currency.currency.interface == 5){
        if(fees.entry.withdrawals.nmalfee){
            document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + (fees.entry.withdrawals.nmalfee.number).toFixed(decimCoin).replace('.', ',');
            
            document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + ((fees.entry.withdrawals.nmalfee.number).toFixed(decimCoin).replace('.', ','));
            document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + ((fees.entry.withdrawals.nmalfee.number).toFixed(decimCoin).replace('.', ','));
            document.getElementById('withdrawAmount').addEventListener("keyup", function(){
                var noVal = formatCurrency(decimCoin,this.value);
                if(noVal!=="")this.value = noVal;
                if(document.getElementById('withdrawAmount').value == ""){
                    document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                    document.getElementById('withdrawTotalFinal').setAttribute("datanumber",0);
                    document.getElementById('withdrawTotalFinal').style.color="#262624"
                }else{
                    if(((((parseFloat((document.getElementById('withdrawAmount').value).replace(',','.')) - fees.entry.withdrawals.nmalfee.number).toFixed(decimCoin)).replace('.', ','))).startsWith('-')){
                        document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                        document.getElementById('withdrawTotalFinal').setAttribute("datanumber",0);
                        document.getElementById('withdrawTotalFinal').style.color="#D0021B"
                    }else{
                        document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber')) - parseFloat(fees.entry.withdrawals.nmalfee.number),decimCoin)
                        document.getElementById('withdrawTotalFinal').setAttribute("datanumber",parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber')) - parseFloat(fees.entry.withdrawals.nmalfee.number));
                        //((((parseFloat((document.getElementById('withdrawAmount').value).replace(',','.')) - fees.entry.withdrawals.nmalfee.number).toFixed(decimCoin)).replace('.', ',')));
                        document.getElementById('withdrawTotalFinal').style.color="#262624"
                    }
                    
                }
            }); 
        }else if(fees.entry.withdrawals.pctfee){
            document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
            document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
            document.getElementById('withdrawAmount').addEventListener("keyup", function(){
                var noVal = formatCurrency(decimCoin,this.value);
                if(noVal!=="")this.value = noVal;
                document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber')) *fees.entry.withdrawals.pctfee.number / 100 ,decimCoin)
                document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber')) *(1 + fees.entry.withdrawals.pctfee.number / 100) ,decimCoin)
                document.getElementById('withdrawTotalFinal').setAttribute('dataNumber',parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber')) *(1 + fees.entry.withdrawals.pctfee.number / 100))
                
            }); 
    
        }else{
            console.log('N/A')
        }
    }else{
        if(fees.entry.withdrawals.nmalfee){
            document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + (fees.entry.withdrawals.nmalfee.number).toFixed(decimCoin).replace('.', ',');
            
            document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + ((fees.entry.withdrawals.nmalfee.number).toFixed(decimCoin).replace('.', ','));
            document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + ((fees.entry.withdrawals.nmalfee.number).toFixed(decimCoin).replace('.', ','));
            document.getElementById('withdrawAmount').addEventListener("keyup", function(){
                var noVal = formatCurrency(decimCoin,this.value);
                if(noVal!=="")this.value = noVal;
                if(document.getElementById('withdrawAmount').value == ""){
                    document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                    document.getElementById('withdrawTotalFinal').style.color="#262624"
                }else{
                    if(((((parseFloat((document.getElementById('withdrawAmount').value).replace(',','.')) - fees.entry.withdrawals.nmalfee.number).toFixed(decimCoin)).replace('.', ','))).startsWith('-')){
                        document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                        document.getElementById('withdrawTotalFinal').style.color="#D0021B"
                    }else{
                        document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber')) + parseFloat(fees.entry.withdrawals.nmalfee.number),decimCoin)
                        //((((parseFloat((document.getElementById('withdrawAmount').value).replace(',','.')) - fees.entry.withdrawals.nmalfee.number).toFixed(decimCoin)).replace('.', ',')));
                        document.getElementById('withdrawTotalFinal').style.color="#262624"
                    }
                    
                }
            }); 
        }else if(fees.entry.withdrawals.pctfee){
            document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
            document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
            document.getElementById('withdrawAmount').addEventListener("keyup", function(){
                var noVal = formatCurrency(decimCoin,this.value);
                if(noVal!=="")this.value = noVal;
                document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber')) *fees.entry.withdrawals.pctfee.number / 100 ,decimCoin)
                document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber')) *(1 + fees.entry.withdrawals.pctfee.number / 100) ,decimCoin)
                document.getElementById('withdrawTotalFinal').setAttribute('dataNumber',parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber')) *(1 + fees.entry.withdrawals.pctfee.number / 100))
                
            }); 
    
        }else{
            console.log('N/A')
        }
    }   
}

function setLang(){
    
    lang = localStorage.getItem('lang');
    
    /* inner HTML */
    setWordLanginnerHTML('home','home');
    setWordLanginnerHTML('balance','balance');
    setWordLanginnerHTML('preferences','preferences');
    setWordLanginnerHTML('homeR','home');
    setWordLanginnerHTML('balanceR','balance');
    setWordLanginnerHTML('preferencesR','preferences');
    setWordLanginnerHTML('langIcon','langIcon');
    
    
    setWordLanginnerHTML('titlePage','titlePage');
    setWordLanginnerHTML('step1','step1');
    setWordLanginnerHTML('step2','step2');
    setWordLanginnerHTML('step3','step3');
    setWordLanginnerHTML('step4','step4');
    setWordLanginnerHTML('step5','step5');
    setWordLanginnerHTML('titleTextP','t1');
    
    setWordLanginnerHTML('t2','t2');
    setWordLanginnerHTML('avaLabel','AVAILABLE');
    setWordLanginnerHTML('QuantityToW','QuantityToW');
    setWordLanginnerHTML('allAm','allAm');
    setWordLanginnerHTML('notAllLabel','notAll');
    setWordLanginnerHTML('feesLabel','FEES');
    
    setWordLanginnerHTML('previous-button','RETURN');
    setWordLanginnerHTML('next-button','continue');
    setWordLanginnerHTML('previous-buttonR','RETURN');
    setWordLanginnerHTML('next-buttonR','continue');
    
    
    setWordLanginnerHTML('buttonAdv','ADVANCEDMODE');
    setWordLanginnerHTML('question','question');
    setWordLanginnerHTML('expired1','expired1');
    setWordLanginnerHTML('expired2','expired2');
    setWordLanginnerHTML('expSessionButton','continue');
    setWordLanginnerHTML('ts','ts');

    
    document.getElementById('floatClose').addEventListener("click",function(event){
        var popup = document.getElementById("floatButton").children[0].children[0];
        popup.classList.remove("show")
        event.stopPropagation()
    })
    
    document.getElementById('all').addEventListener("click",function(){
        if(document.getElementById('next-button').getAttribute('interface') == 4 || document.getElementById('next-button').getAttribute('interface') == 5){
            document.getElementById('withdrawAmount').setAttribute('dataNumber',document.getElementById('avail').getAttribute('number'))
            document.getElementById('withdrawAmount').value = number_format((document.getElementById('avail').getAttribute('number')),decimCoin);
            if(feesInf.entry.withdrawals.nmalfee){
                document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + (feesInf.entry.withdrawals.nmalfee.number).toFixed(decimCoin).replace('.', ',');
                document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + ((feesInf.entry.withdrawals.nmalfee.number).toFixed(decimCoin).replace('.', ','));
                var noVal = formatCurrency(decimCoin,this.value);
                if(noVal!=="")this.value = noVal;
                if(document.getElementById('withdrawAmount').value == ""){
                    document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                    document.getElementById('withdrawTotalFinal').style.color="#262624"
                }else{
                    console.log('Entro en el else')
                    document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('avail').getAttribute('number')),decimCoin)
                    document.getElementById('withdrawTotalFinal').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number')))
                    document.getElementById('withdrawAmount').value = number_format(parseFloat(document.getElementById('avail').getAttribute('number')),decimCoin);
                    document.getElementById('withdrawAmount').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number')))
                     
                    if(((((parseFloat((document.getElementById('withdrawAmount').value).replace(',','.')) - feesInf.entry.withdrawals.nmalfee.number).toFixed(decimCoin)).replace('.', ','))).startsWith('-')){
                        document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                        document.getElementById('withdrawTotalFinal').style.color="#D0021B"
                    }else{
                        document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('avail').getAttribute('number'))-parseFloat(feesInf.entry.withdrawals.nmalfee.number),decimCoin)
                        document.getElementById('withdrawTotalFinal').style.color="#262624"
                    }
                    
                }
            }else if(feesInf.entry.withdrawals.pctfee){
                document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                var noVal = formatCurrency(decimCoin,this.value);
                if(noVal!=="")this.value = noVal;
                document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber')) *feesInf.entry.withdrawals.pctfee.number / 100 ,decimCoin)
                document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('avail').getAttribute('number')),decimCoin)
                document.getElementById('withdrawTotalFinal').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number')))
                document.getElementById('withdrawAmount').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number'))*100 / (parseFloat(feesInf.entry.withdrawals.pctfee.number) + 100) )
                document.getElementById('withdrawAmount').value = number_format(parseFloat(document.getElementById('avail').getAttribute('number'))*100 / (parseFloat(feesInf.entry.withdrawals.pctfee.number) + 100),decimCoin);
                //document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(document.getElementById('withdrawTotalFinal').getAttribute('dataNumber') - document.getElementById('withdrawAmount').getAttribute('dataNumber'),decimCoin)
            }else{
                console.log('N/A')
            }   
        }else{
            //document.getElementById('withdrawAmount').setAttribute('dataNumber',document.getElementById('avail').getAttribute('number'))
            //document.getElementById('withdrawAmount').value = number_format((document.getElementById('avail').getAttribute('number')),decimCoin);
            if(feesInf.entry.withdrawals.nmalfee){
                document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + (feesInf.entry.withdrawals.nmalfee.number).toFixed(decimCoin).replace('.', ',');
                document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + ((feesInf.entry.withdrawals.nmalfee.number).toFixed(decimCoin).replace('.', ','));
                var noVal = formatCurrency(decimCoin,this.value);
                if(noVal!=="")this.value = noVal;
                if(document.getElementById('withdrawAmount').value == ""){
                    document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                    document.getElementById('withdrawTotalFinal').setAttribute('dataNumber',0);
                    document.getElementById('withdrawTotalFinal').style.color="#262624"
                }else{
                    console.log('Entro en el else')
                    document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('avail').getAttribute('number')),decimCoin)
                    document.getElementById('withdrawTotalFinal').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number')))
                    document.getElementById('withdrawAmount').value = number_format(parseFloat(document.getElementById('avail').getAttribute('number'))-parseFloat(feesInf.entry.withdrawals.nmalfee.number),decimCoin);
                    document.getElementById('withdrawAmount').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number'))-parseFloat(feesInf.entry.withdrawals.nmalfee.number))
                     
                    if(((((parseFloat((document.getElementById('withdrawAmount').value).replace(',','.')) - feesInf.entry.withdrawals.nmalfee.number).toFixed(decimCoin)).replace('.', ','))).startsWith('-')){
                        document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                        document.getElementById('withdrawTotalFinal').style.color="#D0021B"
                    }else{
                        //document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('avail').getAttribute('number')),decimCoin)
                        document.getElementById('withdrawTotalFinal').style.color="#262624"
                    }
                    
                }
            }else if(feesInf.entry.withdrawals.pctfee){
                document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(0,decimCoin);
                var noVal = formatCurrency(decimCoin,this.value);
                if(noVal!=="")this.value = noVal;
                //document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('withdrawAmount').getAttribute('datanumber')) *feesInf.entry.withdrawals.pctfee.number / 100 ,decimCoin)
                document.getElementById('withdrawTotalFinal').innerHTML = curInf.currency.symbol + ' ' + number_format(parseFloat(document.getElementById('avail').getAttribute('number')),decimCoin)
                document.getElementById('withdrawTotalFinal').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number')))
                document.getElementById('withdrawAmount').setAttribute('dataNumber',parseFloat(document.getElementById('avail').getAttribute('number'))*100 / (parseFloat(feesInf.entry.withdrawals.pctfee.number) + 100) )
                document.getElementById('withdrawAmount').value = number_format(parseFloat(document.getElementById('avail').getAttribute('number'))*100 / (parseFloat(feesInf.entry.withdrawals.pctfee.number) + 100),decimCoin);
                document.getElementById('withdrawBTCFee').innerHTML = curInf.currency.symbol + ' ' + number_format(document.getElementById('withdrawTotalFinal').getAttribute('dataNumber') - document.getElementById('withdrawAmount').getAttribute('dataNumber'),decimCoin)
            }else{
                console.log('N/A')
            }   
        }
        document.getElementById('withdrawAmount').disabled = true
        
        
    })
    document.getElementById('notAll').addEventListener("click",function(){
        document.getElementById('withdrawAmount').disabled = false
    })
    
    getEntry(getParameterByName('sessionid'));

}